[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBExtCtrls' (#lcl)

# TDBDateEdit.EditKeyDown

Handles special keys in the keydown state.

## Declaration

Source position: dbextctrls.pp line 48

`protected procedure TDBDateEdit.EditKeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | Numeric value for the key.
`Shift` |  | Shift state for the key.

## Description

EditKeyDown is an overridden procedure used to perform actions required when special keys are in the down state in the control. EditKeyDown handles the following virtual key values:

VK_ESCAPE
  Cancels editing (when active) and calls Reset in DataLink. Key is changed to the value VK_UNKNOWN
VK_DELETE or VK_BACK
  Removes Delete and Backspace keys if editing is not active.Changes Key to the value VK_UNKNOWN when editing is not active.